Issue 29548 - Patch for wrong moving cursor when use travel wordwise.
Summary: Patch for wrong moving cursor when use travel wordwise.
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-27 04:01 UTC by hin
Modified: 2013-02-24 21:10 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch for fix travel wordwise bug. (1.50 KB, patch)
2004-05-27 04:03 UTC, hin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hin 2004-05-27 04:01:38 UTC
HIN->KHONG: 
  Hi. SBA recomment me to send patch to you. This patch fix bug for wrong moving
cursor to next word when use travel wordwise (with <Ctrl> + <Arrow>) in THAI
language. 

Regard.
Comment 1 hin 2004-05-27 04:03:00 UTC
Created attachment 15493 [details]
patch for fix travel wordwise bug.
Comment 2 karl.hong 2004-06-08 22:06:18 UTC
Karl->HIN: Thanks for the patch. 

ICU does has problem in its dictionary breakiterator when calling following() with 
offset>0 at very first call.

The normal situation is user call breakiterator from begin of the string and iterate 
through the string. Dictionary breakiterator will create cache at very first call, the 
cashe will be used in following call on same string. 

OO.o breakiterator has a problem to reset string for every call to icu breakiterator, 
the consequence is the cache is reset and re-created for each call. This needs to 
be fixed first.
 
With the above fix, the problem in ICU is not critical. I am not going to touch ICU 
at this time, instead, I set a little workaround in breakiterator_th.cxx to deal with 
the  rare case that call breaiterator with offset>0 at first time. 

I have asked Andy who is the owner for ICU breakiterator in IBM to review the 
patch.

BTW, we accidently get rid of thai word breakiterator when we moved to icu2.6. 
This also get fixed with this issue.
Comment 3 karl.hong 2004-06-21 18:51:50 UTC
reopen the issue for reassign to QA.
Comment 4 karl.hong 2004-06-21 18:52:27 UTC
.
Comment 5 stefan.baltzer 2004-07-22 15:50:38 UTC
SBA: I used the bugdoc of issue 23784 to test the Thai wordwise travel. I can't
verify if the word boundaries are correctly found, but at least it is consistent
when travelling forward and backword now. Set to fixed.
Comment 6 stefan.baltzer 2004-07-22 15:50:59 UTC
SBA: Verified in CWS i18n13.
Comment 7 jack.warchold 2004-08-12 16:26:00 UTC
seen good in 680_m50
like sba i'am not able to verify the word boundaries but it looks consistent in left 
and right travel
Comment 8 thorsten.ziehm 2005-08-10 14:46:25 UTC
This issue is integrated into a build for OOo2.0, but the 'target milestone'
isn't set. To have a better overview about all fixed and integrated tasks in
OOo2.0, I set the field 'target milestone' to OOo2.0.